Index: code/branches/FICN/bin/levels/sample.oxw
===================================================================
--- code/branches/FICN/sample.oxw	(revision 467)
+++ code/branches/FICN/bin/levels/sample.oxw	(revision 469)
@@ -1,596 +1,23 @@
-<WorldDataFile>
-	<name>Moon Station</name>
-	<description>The central moonstation, where the player will 'land'.</description>
-	<image>textures/menu/moonstation_512x512.jpg</image>
+<orxonoxworld name="Orxonox sample level" image="textures/menu/moonstation_512x512.jpg">
+	<description>
+		This is an orxonox sample level.
+	</description>
 
-	<LoadScreen>
-		<BackgroundImage>textures/load_screens/ambush.png</BackgroundImage>
-		<ElementCount>16</ElementCount>
-		<BackgroundPS>0,0,1.0,1</BackgroundPS>
-		<BarPS>.65,.87,.3,.05</BarPS>
-		<BarImage>textures/load_screens/ambush-loadbar.png</BarImage>
-	</LoadScreen>
+	<loading>
+		<background color="000000" image="textures/load_screens/ambush.png" />
+		<bar top="200" left="50" width="300" height="20" image="textures/load_screens/ambush-loadbar.png" />
+	</loading>
 	
-	<clip-region>1, 100000</clip-region>
+	<audio>
+			
+	</audio>
 	
-	<WorldEntities>
+	<world>
 
 
+	</world>
 
-	<ModelEntity>
-		<name>surface</name>
-		<abs-coor>-250, 100, -100</abs-coor>
-		<abs-dir>1.57, 0, 1, 0</abs-dir>
-		<model>models/decoration/moonsurface_1730.obj, 3000</model>
-	</ModelEntity>
-		
-	<Planet>
-		<name>Earth</name>
-		<texture>textures/planets/earth_no_clouds.jpg</texture>
-		<size>250</size>
-		<abs-coor>-1685.414917, 1228.985352, 1216.223511</abs-coor>
-		<abs-dir>3.1412, 0,0,1</abs-dir>
-	</Planet>
-
-	<BspEntity>
-		<Name>levels/maps/moonstation/moonstation.bsp</Name>
-	</BspEntity>
-	
-	<SkyBox>
-		<name>Sky</name>
-		<Materialset>textures/sky/simple_space</Materialset>
-		<Size>7520</Size>
-	</SkyBox>
-	
-	<FPSPlayer>
-		<name>Player</name>
-		<damageable>true</damageable>
-		<model>models/creatures/doom_male/male.md2, 9</model>
-		<loadShield>10,10,0,0</loadShield>
-		<abs-coor>630,21,-20</abs-coor>
-		<list>group01</list>
-		<!-- <abs-coor>208.740707, -781.369263, -268.533173</abs-coor> underground -->
-	</FPSPlayer>
-	
-<!-- Bridge ------------------------------------------------------------------------ -->
-
-	<AdmTurret>
-		<model>models/guns/turret/turret_body.obj,10</model>
-		<list>group00</list>
-		<type>ceil</type>
-		<damageable>true</damageable>
-		<target>Player</target>
-		<abs-coor>356, 588, -160</abs-coor>
-		<Cannons>
-			<model>models/guns/turret/turret_riffle.obj,10</model>
-			<rel-coor>0, 47, 0</rel-coor>
-		</Cannons>
-
-		<Sensor>
-			<model>models/guns/turret/turret_radar.obj,10</model>
-			<rel-coor>0, 32.5, 0</rel-coor>
-		</Sensor>
-		<Weapon>
-			<Range>400</Range>
-			<SetDamage>10</SetDamage>
-			<FireRate>1</FireRate>
-			<AlwaysHits>false</AlwaysHits>
-			<addPoint>-30,1,11</addPoint>
-			<addPoint>-30,1,-11</addPoint>
-		</Weapon>
-	</AdmTurret>
-
-	<Planet>
-		<name>Earth</name>
-		<texture>textures/planets/earth_no_clouds.jpg</texture>
-		<size>50</size>
-		<abs-coor>458.725555, 505.465271, -164.975540</abs-coor>
-		<abs-dir>3.1412, 0,0,1</abs-dir>
-		<planet-rotation-speed>-0.3</planet-rotation-speed>
-		<planet-rotation-axis>0,1,0</planet-rotation-axis>
-	</Planet>
-	
-	<Planet>
-		<name>Moon</name>
-		<texture>textures/planets/pluto.png</texture>
-		<size>10</size>
-		<abs-coor>543.408203, 505.465271, -158.724747</abs-coor>
-		<abs-dir>3.1412, 0,0,0</abs-dir>
-	</Planet>
-	
-	<Building>
-		<name>zhara</name>
-		<model>models/space_stations/ZHARA_Space_Station.obj, 1</model>
-		<mountpoints>models/space_stations/ZHARA_Space_Station.oif</mountpoints>
-		<abs-coor>500.981537, 507.057343, -179.489685</abs-coor>
-		<abs-dir>3.1412, 0,1,0</abs-dir>
-	</Building>
-
-<!-- Air cleaning/lager room ------------------------------------------------ -->
-	
-	<AdmTurret>
-		<model>models/guns/turret/turret_body.obj,10</model>
-		<list>group00</list>
-		<target>Player</target>
-		<abs-coor>-119, 123, 25</abs-coor>
-		<damageable>true</damageable>
-		<Cannons>
-			<model>models/guns/turret/turret_riffle.obj,10</model>
-			<rel-coor>0, 47, 0</rel-coor>
-		</Cannons>
-
-		<Sensor>
-			<model>models/guns/turret/turret_radar.obj,10</model>
-			<rel-coor>0, 32.5, 0</rel-coor>
-		</Sensor>
-		<Weapon>
-			<Range>40000</Range>
-			<SetDamage>10</SetDamage>
-			<FireRate>1</FireRate>
-			<AlwaysHits>false</AlwaysHits>
-			<addPoint>-30,1,11</addPoint>
-			<addPoint>-30,1,-11</addPoint>
-		</Weapon>
-	</AdmTurret>
-	
-	<Mover>
-		<name>door_aircleaning</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_small_b.obj, 6.7</model><!-- modelpath, size -->
-		<abs-dir>3.141, 0, 1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>120, 160, 320</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>50</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>0.6</moving-time>
-				<rel-target-coor>0, 0, -45</rel-target-coor>
-				<opening-sound>sounds/doors/door_opening2.wav</opening-sound>
-				<closing-sound>sounds/doors/door_opening2.wav</closing-sound>
-			</MoverStation>
-		</stations>
-	</Mover>
-		
-	<Mover>
-		<name>door_lager</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_blue_big.obj, 19</model><!-- modelpath, size -->
-		<abs-dir>1.57, 0, 1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>-65, 128, -161.1</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>130</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>1.2</moving-time>
-				<rel-target-coor>0, 92.5, 0</rel-target-coor>
-				<opening-sound>sounds/doors/door_opening2.wav</opening-sound>
-				<closing-sound>sounds/doors/door_opening2.wav</closing-sound>
-				<closed-sound>sounds/doors/door_closed2.wav</closed-sound>
-			</MoverStation>
-		</stations>
-	</Mover>		
-		
-	<Rotor>
-		<name>rotor_aircleaning</name>
-		<model>models/decoration/rotor1_hack.obj, 5</model>
-		<abs-coor>52,167,241</abs-coor>
-		<abs-dir>0, 0, 0, 0</abs-dir>
-		<rotation>8,0,0</rotation>
-	</Rotor>
-	<Rotor>
-		<name>rotor_aircleaning</name>
-		<model>models/decoration/rotor1_hack.obj, 5</model>
-		<abs-coor>28,167,241</abs-coor>
-		<abs-dir>0, 0, 0, 0</abs-dir>
-		<rotation>8,0,0</rotation>
-	</Rotor>
-	<Rotor>
-		<name>rotor_aircleaning</name>
-		<model>models/decoration/rotor1_hack.obj, 5</model>
-		<abs-coor>4,167,241</abs-coor>
-		<abs-dir>0, 0, 0, 0</abs-dir>
-		<rotation>8,0,0</rotation>
-	</Rotor>
-	<Rotor>
-		<name>rotor_aircleaning</name>
-		<model>models/decoration/rotor1_hack.obj, 5</model>
-		<abs-coor>-20,167,241</abs-coor>
-		<abs-dir>0, 0, 0, 0</abs-dir>
-		<rotation>8,0,0</rotation>
-	</Rotor>
-		
-<!-- Main hall ------------------------------------------------------------ -->
-	<AdmTurret>
-		<model>models/guns/turret/turret_body.obj,10</model>
-		<list>group00</list>
-		<type>ceil</type>
-		<damageable>true</damageable>
-		<target>Player</target>
-		<abs-coor>191, 115, 70</abs-coor>
-		<Cannons>
-			<model>models/guns/turret/turret_riffle.obj,10</model>
-			<rel-coor>0, 47, 0</rel-coor>
-		</Cannons>
-
-		<Sensor>
-			<model>models/guns/turret/turret_radar.obj,10</model>
-			<rel-coor>0, 32.5, 0</rel-coor>
-		</Sensor>
-		<Weapon>
-			<Range>400</Range>
-			<SetDamage>10</SetDamage>
-			<FireRate>1</FireRate>
-			<AlwaysHits>false</AlwaysHits>
-			<addPoint>-30,1,11</addPoint>
-			<addPoint>-30,1,-11</addPoint>
-		</Weapon>
-	</AdmTurret>
-	
-	<SpriteParticles>
-		<name>str3</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>4, 6</life-span>
-		<radius>0.0, 15.0, 20.0</radius>
-		<radius>0.2, 20.0, 25.0</radius>
-		<radius>1.0, 25.0, 30.0</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>-4.005549, 251.321747, -11.710030</rel-coor>
-				<rel-dir>0.927172, -0.003523, -0.374517, 0.008722</rel-dir>
-				<spread>0.0, 1</spread>
-				<emission-velocity>20, 30</emission-velocity>
-				<size>8, 15</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-		
-	<SpriteParticles>
-		<name>Big one hall</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>10, 2</life-span>
-		<radius>0.0, 100, 100</radius>
-		<radius>0.2, 100, 100</radius>
-		<radius>1.0, 100, 100</radius>
-		<mass>1.0, 0.5, .3</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>93.780792, -35.366524, 18.198116</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0, 1.0</spread>
-				<emission-velocity>-50,50</emission-velocity>
-				<size>100, 110</size>
-				<rate>2</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-	
-<!-- Destroyed room ------------------------------------------------------- -->
-	<ModelEntity>
-		<name>destroyed fighter</name>
-		<abs-coor>540, 30, -100</abs-coor><!--Orx: koo Y,Z,X -->
-		<abs-dir>2.3, 0.9, -2.5, -0.5</abs-dir>
-		<model>models/spaceships/human_spaceship_fighter.obj, 8.5</model>
-	</ModelEntity>
-		
-	<SpriteParticles>
-		<name>str1</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>4, 6</life-span>
-		<radius>0.0, 15.0, 20.0</radius>
-		<radius>0.2, 20.0, 25.0</radius>
-		<radius>1.0, 25.0, 30.0</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>727, 93, -111</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0.0, 1</spread>
-				<emission-velocity>10, 30</emission-velocity>
-				<size>8, 15</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-		
-	<SpriteParticles>
-		<name>str2</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>4, 6</life-span>
-		<radius>0.0, 15.0, 20.0</radius>
-		<radius>0.2, 20.0, 25.0</radius>
-		<radius>1.0, 25.0, 30.0</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>772, 160, -87.5</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0.0, 1</spread>
-				<emission-velocity>10, 30</emission-velocity>
-				<size>8, 15</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-		
-	<SpriteParticles>
-		<name>Big one</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>10, 2</life-span>
-		<radius>0.0, 100, 100</radius>
-		<radius>0.2, 100, 100</radius>
-		<radius>1.0, 100, 100</radius>
-		<mass>1.0, 0.5, .3</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>616, -50, -196</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0, 1.0</spread>
-				<emission-velocity>-50,50</emission-velocity>
-				<size>120, 150</size>
-				<rate>6</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-
-<!-- sleeping room ------------------------------------------------------ -->
-	
-	<Mover>
-		<name>door_sleepingroom_l</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_small_b.obj, 6.2</model><!-- modelpath, size -->
-		<abs-dir>1.57, 0, 1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>405.5, 160, 175</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>50</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>0.6</moving-time>
-				<rel-target-coor>31, 0, 0</rel-target-coor>
-				<opening-sound>sounds/doors/door_opening2.wav</opening-sound>
-				<closing-sound>sounds/doors/door_opening2.wav</closing-sound>
-				<!--<closed-sound>sounds/doors/door_closed2.wav</closed-sound>-->
-			</MoverStation>
-		</stations>
-	</Mover>
-	<Mover>
-		<name>door_sleepingroom_r</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_small_b.obj, 6.2</model><!-- modelpath, size -->
-		<abs-dir>1.57, 0, -1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>362, 160, 175</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>50</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>0.6</moving-time>
-				<rel-target-coor>-31, 0, 0</rel-target-coor>
-			</MoverStation>
-		</stations>
-	</Mover>
-	
-	<SpriteParticles>
-		<name>Steam in sleeping room</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>2, 5</life-span>
-		<radius>0.0, 15.0, 20.0</radius>
-		<radius>0.2, 20.0, 25.0</radius>
-		<radius>1.0, 25.0, 30.0</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,1, 1, 1,.5</color>
-		<color>.5, .6, .6, .6, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>5</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>382, 210, 255</rel-coor>
-				<rel-dir>3.1412, 0, 0, 1</rel-dir>
-				<spread>0.0, 1</spread>
-				<emission-velocity>10, 30</emission-velocity>
-				<size>8, 15</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-	</SpriteParticles>
-
-	<SpriteParticles>
-		<name>Stream Air Cleaning</name>
-		<type>sprite</type>
-		<texture>steam01.png</texture>
-		<max-count>50</max-count>
-		<life-span>10, 0</life-span>
-		<radius>0.0, 15.0, 2</radius>
-		<radius>0.2, 20.0, 5</radius>
-		<radius>1.0, 25.0, 7</radius>
-		<mass>1.0, 0.3, .2</mass>
-		<color>0,0, 1, 0,.5</color>
-		<color>.5, 0, .6, 0, .2</color>
-		<color>1, .0, .0, .0, .0</color>
-		<precache>0</precache>
-		<emitters>
-			<PlaneEmitter>
-				<name>SteamEmitter</name>
-				<rel-coor>85, 168, 243</rel-coor>
-				<rel-dir>1.57, 0, 0, 1</rel-dir>
-				<spread>0.0, 0</spread>
-				<emission-velocity>20, 2</emission-velocity>
-				<size>10, 14</size>
-				<rate>7</rate>
-			</PlaneEmitter>
-		</emitters>
-		</SpriteParticles>
-
-<!-- Underground      ######################################################################## -->
-	<Mover>
-		<name>door_elevator</name>
-		<bReopen>1</bReopen>
-		<bReclose>1</bReclose>
-		<model>models/doors/door_small_b.obj, 10</model><!-- modelpath, size -->
-		<abs-dir>1.57, 0, 1, 0</abs-dir><!-- Pi,,Y-Axis-Rotation, -->
-		<abs-coor>210, -810, -454</abs-coor>
-		<triggers>
-			<ApproachTrigger>
-				<radius>50</radius>
-			</ApproachTrigger>
-		</triggers>
-		<stations>
-			<MoverStation>
-				<moving-time>0.6</moving-time>
-				<rel-target-coor>60, 0, 0</rel-target-coor>
-				<opening-sound>sounds/doors/door_opening2.wav</opening-sound>
-				<closing-sound>sounds/doors/door_opening2.wav</closing-sound>
-				<!--<closed-sound>sounds/doors/door_closed2.wav</closed-sound>-->
-			</MoverStation>
-		</stations>
-	</Mover>
-		
-<!-- Cutscenes/Quests ######################################################################## -->
-
-	<NPC>
-		<name>IntroSpaceship</name>
-		<model>models/spaceships/human_spaceship_fighter.obj,9</model>
-		<mountpoints>models/spaceships/human_spaceship_fighter.oif</mountpoints>
-		<Track>
-			<mode>1</mode>
-			<speed>600</speed>
-			<addPoint>4000, 866, -284</addPoint>
-			<addPoint>1840, 866, -284</addPoint>
-			<addPoint>1302, 524, -217</addPoint>
-			<addPoint>760, 127, -137</addPoint>
-			<addPoint>-25, -360, -99</addPoint>
-			<addPoint>-100, -400, -110</addPoint><!-- hide position -->
-			<addPoint>-120, -410, -113</addPoint>
-		</Track>
-	</NPC>
-	
-	<NPC> <!-- triggerable door hack -->
-		<name>triggeredDoor</name>
-		<model>models/doors/door_blue_big.obj, 19</model><!-- modelpath, size -->
-		<abs-coor>222, 0, -472</abs-coor>
-		<abs-dir>0, 0, 1, 0</abs-dir>
-	</NPC> 
-	
-	<Building> <!-- Camera target hack -->
-		<name>MoonstationCenterHack</name>
-		<model>models/spaceships/human_spaceship_fighter.obj,0.1</model>
-		<abs-coor>300, 36, -170</abs-coor>
-		<abs-dir>3.1412, 0,1,0</abs-dir>
-	</Building>
-	 
-	<QuestGUI>
-		<name>energyQuest</name>
-		<quest-name>Hangar Door</quest-name>
-		<quest-description>QUEST: Open the door to the hangar.</quest-description>
-		<quest-picture>/textures/orxonox_logo.png</quest-picture>
-		<quest-difficulty>STORY: I have to leave this station. </quest-difficulty>
-		<quest-persons>Maybe I can find a ship in the hangar behind this door.</quest-persons>
-		<reward-picture>/textures/amiv_braeu.png</reward-picture>
-		<reward-description>HINT: Maybe it would be favourably to take a	look at the bridge on top of the station.</reward-description>
-	</QuestGUI>
-	
-	<BspEntity>
-		<Name>levels/maps/moonstation/moonstation_flares.bsp</Name>
-		<Transparency>1, 1</Transparency>
-	</BspEntity>
-
-</WorldEntities> <!-- End WoldEntities ##################################################### -->
-
-<ScriptManager> 
-	<Scripts>
-		<Script file="moonstation/intro.lua" />
-		<Script file="moonstation/quest.lua" />
-		<Script file="moonstation/switchLevel.lua" />
-	</Scripts>
-</ScriptManager>
-
-<CameraMan name="cameraManager">
-	<Cameras>
-		<Camera name="CameraIntro">
-			<Track>
-				<mode>1</mode>
-				<speed>80</speed>
-				<addPoint>-1295.883301, 621.807922, -969.386780</addPoint>
-				<addPoint>-1253.895386, 727.938721, -268.726807</addPoint><!-- cam2 station -->
-				<addPoint>-1092.265991, 743.441040, -15.836866</addPoint>
-				<addPoint>-438.112305, 661.747009, 566.756775</addPoint>
-				<addPoint>180.627167, 755.514709, 871.833801</addPoint><!-- cam2 ship 199.251480, 611.205872, 670.132324 -->
-				<addPoint>871.084534, 629.498901, 619.159058</addPoint>
-				<!-- <addPoint>1409.606201, 668.009155, 122.551933</addPoint>
-				<addPoint>1331.963867, 562.559082, -213.602997</addPoint> -->
-				<addPoint>1160.229858, 248.129639, -396.398438</addPoint>
-				<addPoint>1210.095825, 308.348694, -414.233826</addPoint>
-				<addPoint>881.456055, 184.982635, -176.643326</addPoint>
-				<addPoint>719.431091, 79.719810, -149.023880</addPoint><!-- intro end -->
-			</Track>
-		</Camera>
-		<Camera name="CameraDoor" abs-coor="346, 128, -110">
-		</Camera>
-	</Cameras>
-</CameraMan>
-
-<LightManager>
-		<Lights>
-			<Light diffuse-color="0.5,0.5,0.6" abs-coor="205,565,-162" />
-			<Light diffuse-color="0.5,0.5,0.6" abs-coor="-990.843811, 896.596130, -1569.420288" />
-			<Light diffuse-color="0.8,0.8,0.8" abs-coor="203.364914, -807.093872, -228.443466" />
-		</Lights>
-		<ambient color="1, 1, 1" />
-</LightManager>
-
-</WorldDataFile>
-
+	<scripts> 
+		<script file="intro.lua" />
+	</scripts>
+</orxonoxworld>