Index: /code/branches/objecthierarchy/bin/resources.cfg
===================================================================
--- /code/branches/objecthierarchy/bin/resources.cfg	(revision 471)
+++ /code/branches/objecthierarchy/bin/resources.cfg	(revision 472)
@@ -8,16 +8,16 @@
 FileSystem=../Media
 FileSystem=../Media/fonts
-#FileSystem=../Media/materials/programs
-#FileSystem=../Media/materials/scripts
-#FileSystem=../Media/materials/textures
-#FileSystem=../Media/models
-#FileSystem=../Media/overlays
-#FileSystem=../Media/particle
+# FileSystem=../Media/materials/programs
+# FileSystem=../Media/materials/scripts
+# FileSystem=../Media/materials/textures
+# FileSystem=../Media/models
+# FileSystem=../Media/overlays
+# FileSystem=../Media/particle
 FileSystem=../Media/gui
-#FileSystem=../Media/DeferredShadingMedia
-#Zip=../Media/packs/cubemap.zip
-#Zip=../Media/packs/cubemapsJS.zip
-#Zip=../Media/packs/dragon.zip
-#Zip=../Media/packs/fresneldemo.zip
-#Zip=../Media/packs/ogretestmap.zip
+# FileSystem=../Media/DeferredShadingMedia
+# Zip=../Media/packs/cubemap.zip
+# Zip=../Media/packs/cubemapsJS.zip
+# Zip=../Media/packs/dragon.zip
+# Zip=../Media/packs/fresneldemo.zip
+# Zip=../Media/packs/ogretestmap.zip
 Zip=../Media/packs/skybox.zip
Index: /code/branches/objecthierarchy/src/orxonox/core/CoreIncludes.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/core/CoreIncludes.h	(revision 471)
+++ /code/branches/objecthierarchy/src/orxonox/core/CoreIncludes.h	(revision 472)
@@ -33,4 +33,5 @@
     typedef Ogre::ColourValue ColourValue;
     typedef Ogre::Radian Radian;
+    typedef Ogre::Degree Degree;
     typedef Ogre::Real Real;
     typedef Ogre::Quaternion Quaternion;
Index: /code/branches/objecthierarchy/src/orxonox/objects/WorldEntity.cc
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/WorldEntity.cc	(revision 471)
+++ /code/branches/objecthierarchy/src/orxonox/objects/WorldEntity.cc	(revision 472)
@@ -28,6 +28,10 @@
         }
 
-        this->bStatic_ = false;
+        this->bStatic_ = true;
         this->velocity_ = Vector3(0, 0, 0);
+        this->acceleration_ = Vector3(0, 0, 0);
+        this->rotationAxis_ = Vector3(0, 1, 0);
+        this->rotationRate_ = 0;
+        this->momentum_ = 0;
     }
 
@@ -40,5 +44,9 @@
         if (!this->bStatic_)
         {
+            this->velocity_ += (dt * this->acceleration_);
             this->translate(dt * this->velocity_);
+
+            this->rotationRate_ += (dt * this->momentum_);
+            this->rotate(this->rotationAxis_, dt * this->rotationRate_);
         }
     }
Index: /code/branches/objecthierarchy/src/orxonox/objects/WorldEntity.h
===================================================================
--- /code/branches/objecthierarchy/src/orxonox/objects/WorldEntity.h	(revision 471)
+++ /code/branches/objecthierarchy/src/orxonox/objects/WorldEntity.h	(revision 472)
@@ -60,4 +60,40 @@
                 { this->node_->detachAllObjects(); }
 
+            inline void setVelocity(const Vector3& velocity)
+                { this->velocity_ = velocity; }
+            inline void setVelocity(Real x, Real y, Real z)
+                { this->velocity_.x = x; this->velocity_.y = y; this->velocity_.z = z; }
+            inline const Vector3& getVelocity() const
+                { return this->velocity_; }
+
+            inline void setAcceleration(const Vector3& acceleration)
+                { this->acceleration_ = acceleration; }
+            inline void setAcceleration(Real x, Real y, Real z)
+                { this->acceleration_.x = x; this->acceleration_.y = y; this->acceleration_.z = z; }
+            inline const Vector3& getAcceleration() const
+                { return this->acceleration_; }
+
+            inline void setRotationAxis(const Vector3& axis)
+                { this->rotationAxis_ = axis; }
+            inline void setRotationAxis(Real x, Real y, Real z)
+                { this->rotationAxis_.x = x; this->rotationAxis_.y = y; this->rotationAxis_.z = z; }
+            inline const Vector3& getRotationAxis() const
+                { return this->rotationAxis_; }
+
+            inline void setRotationRate(const Radian& angle)
+                { this->rotationRate_ = angle; }
+            inline void setRotationRate(const Degree& angle)
+                { this->rotationRate_ = angle; }
+            inline const Radian& getRotationRate() const
+                { return this->rotationRate_; }
+
+            inline void setMomentum(const Radian& angle)
+                { this->momentum_ = angle; }
+            inline void setMomentum(const Degree& angle)
+                { this->momentum_ = angle; }
+            inline const Radian& getMomentum() const
+                { return this->momentum_; }
+
+
             static Ogre::SceneManager* sceneManager_s;
             static int num_s;
@@ -69,4 +105,8 @@
             bool bStatic_;
             Vector3 velocity_;
+            Vector3 acceleration_;
+            Vector3 rotationAxis_;
+            Radian rotationRate_;
+            Radian momentum_;
     };
 }